Subject: [6lo] FW: New Version Notification for draft-thubert-6lo-routing-dispatch-04.txt

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 30 Jun 2015 17:05:07 +0000

Dear all:

This new version proposes in section 3 some alternates to the reuse of the mesh header. Comments welcome.

Cheers,

Pascal

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: mardi 30 juin 2015 18:57
To: Robert Cragie; Pascal Thubert (pthubert); Pascal Thubert (pthubert); Laurent Toutain; Carsten Bormann; Laurent Toutain; Dr. Carsten Bormann; Robert Cragie
Subject: New Version Notification for draft-thubert-6lo-routing-dispatch-04.txt

A new version of I-D, draft-thubert-6lo-routing-dispatch-04.txt
has been successfully submitted by Pascal Thubert and posted to the IETF repository.

Name:		draft-thubert-6lo-routing-dispatch
Revision:	04
Title:		A Routing Header Dispatch for 6LoWPAN
Document date:	2015-06-30
Group:		Individual Submission
Pages:		23
URL:            https://www.ietf.org/internet-drafts/draft-thubert-6lo-routing-dispatch-04.txt
Status:         https://datatracker.ietf.org/doc/draft-thubert-6lo-routing-dispatch/
Htmlized:       https://tools.ietf.org/html/draft-thubert-6lo-routing-dispatch-04
Diff:           https://www.ietf.org/rfcdiff?url2=draft-thubert-6lo-routing-dispatch-04

Abstract:
   This specification provides a new 6LoWPAN dispatch type for use in
   Route-over and mixed Mesh-under and Route-over topologies, that
   reuses the encoding of the mesh type defined in RFC 4944 for pure
   Mesh-under topologies.  This specification also defines a method to
   compress RPL Option (RFC6553) information and Routing Header type 3
   (RFC6554), an efficient IP-in-IP technique and opens the way for
   further routing techniques.  This extends 6LoWPAN Transmission of
   IPv6 Packets (RFC4944), and is applicable to new link-layer types
   where 6LoWPAN is being defined.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Gabriel Montenegro <[email-masked]>
Date: Tue, 30 Jun 2015 19:09:25 +0000

Thanks, Pascal.

I see that options 1 and 2 reuse the mesh header. And option 3 reuses NALP. All three of these reuse previously assigned values. 

I was under the impression that one of the options was going to use a new type out of the ESC+<type> space. Sure, as you mention in the new draft revision, that is not defined clearly yet (though there is something being prepared), but neither is any of the stuff in the draft. 

The point is that it would be good to have at least one option that does not reuse anything previously assigned (other than ESC, which is there for that purpose and is in our control to further define).  

Oh, and request noted. It would definitely be good to discuss this in Prague.

Thanks,

Gabriel

> From: 6lo [mailto:[email-masked]] On Behalf Of Pascal Thubert
> (pthubert)
> Sent: Tuesday, June 30, 2015 10:05
> To: Routing Over Low power and Lossy networks; [email-masked]
> Subject: [6lo] FW: New Version Notification for draft-thubert-6lo-routing-
> dispatch-04.txt
> 
> Dear all:
> 
> To: Robert Cragie; Pascal Thubert (pthubert); Pascal Thubert (pthubert);
> Laurent Toutain; Carsten Bormann; Laurent Toutain; Dr. Carsten Bormann;
> Robert Cragie
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
> _______________________________________________
> 6lo mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lo